<?php

namespace AppBundle\Controller;

use Sensio\Bundle\FrameworkExtraBundle\Configuration\Route;
use Symfony\Bundle\FrameworkBundle\Controller\Controller;
use Symfony\Component\HttpFoundation\Request;

use AppBundle\Entity\Alumno;

class AlumnoController extends Controller
{
    public function indexAction(Request $request)
    {
        $em = $this->getDoctrine()->getManager();
		
		$alumnos_repo=$em->getRepository("AppBundle:Alumno");
		$alumnos=$alumnos_repo->findAll();
		
        return $this->render('alumno/index.html.twig', array(
			'alumnos'=>$alumnos,
        ));
    }

    // AJAX
    public function newAction(Request $request)
    {
        // GUARDAR EL ALUMNO
        $nombre = $request->request->get('nombre');
        $idcodigo = $request->request->get('idcodigo');

        $alumno = new Alumno();

        $em = $this->getDoctrine()->getManager();

        $alumno->setNombre($nombre);

        $idcodigo = $em->getRepository('AppBundle:Codigo')->findOneBy(array('idcodigo' => $idcodigo));
        $alumno->setIdcodigo($idcodigo);

        $em->persist($alumno);
        $em->flush();

        // MOSTRAR LOS ALUMNOS
        $em = $this->getDoctrine()->getManager();
		
		$alumnos_repo=$em->getRepository("AppBundle:Alumno");
		$alumnos=$alumnos_repo->findAll();
		
        return $this->render('alumno/alumnos.html.twig', array(
			'alumnos'=>$alumnos,
        ));
    }

}
